diff -urN src.orig/transports/lmtp.c src/transports/lmtp.c
--- src.orig/transports/lmtp.c	2006-07-31 17:19:48.000000000 +0300
+++ src/transports/lmtp.c	2006-11-24 18:46:41.000000000 +0200
@@ -113,7 +113,7 @@
 Returns:       TRUE if a "QUIT" command should be sent, else FALSE
 */
 
-static BOOL check_response(int *errno_value, int more_errno, uschar *buffer,
+BOOL check_response(int *errno_value, int more_errno, uschar *buffer,
   int *yield, uschar **message)
 {
 *yield = '4';    /* Default setting is to give a temporary error */
@@ -211,7 +211,7 @@
 Returns:     TRUE if successful, FALSE if not, with errno set
 */
 
-static BOOL
+BOOL
 lmtp_write_command(int fd, char *format, ...)
 {
 int count, rc;
@@ -256,7 +256,7 @@
 Returns:    TRUE if a valid, non-error response was received; else FALSE
 */
 
-static BOOL
+BOOL
 lmtp_read_response(FILE *f, uschar *buffer, int size, int okdigit, int timeout)
 {
 int count;
diff -urN src.orig/transports/lmtp.h src/transports/lmtp.h
--- src.orig/transports/lmtp.h	2006-07-31 17:19:48.000000000 +0300
+++ src/transports/lmtp.h	2006-11-24 18:46:41.000000000 +0200
@@ -30,5 +30,8 @@
 
 extern BOOL lmtp_transport_entry(transport_instance *, address_item *);
 extern void lmtp_transport_init(transport_instance *);
+extern BOOL lmtp_write_command(int fd, char *format, ...);
+extern BOOL lmtp_read_response(FILE *f, uschar *buffer, int size, int okdigit, int timeout);
+extern BOOL check_response(int *errno_value, int more_errno, uschar *buffer, int *yield, uschar **message);
 
 /* End of transports/lmtp.h */
